datasetdir = fileparts(which('isolet'));
files = cellstr(ls([datasetdir '/*.m']));
nocheck = {'pr_dataset','pr_download','pr_download_uci', ...
  'pr_callername','pr_cell2dset','pr_getdata', ...
  'mfeat_all', 'pr_readdataset','pr_dset_align', ...
  'pr_loadmatfile','pr_datfiles','check_prdatasets','Contents', ...
  'pr_readdataset', 'pr_savematfile','pr_showdsets'};

global ASK
ASK = false;
  
for n=1:numel(files)
  [dummy,file] = fileparts(files{n});
  if isempty(strmatch(file,nocheck,'exact'))
    a = feval(file);
    a = setprior(a,getprior(a,0)); % set priors on class frequencies
    if getsize(a,3) > 1
      disp([num2str(prcrossval(a,remclass*nmc,2,[],testd)) '  ' file])
    end
  end
end


  
  
  
  